#ifndef __DRIVER_H__
#define __DRIVER_H__

#define USELESS_BASE_FILE_DEVICE_TYPE	0x8000 | FILE_DEVICE_UNKNOWN


#define USELESS_IOCTL(index) CTL_CODE(USELESS_BASE_FILE_DEVICE_TYPE,0x800 + index,METHOD_BUFFERED,FILE_ANY_ACCESS)

#define IOCTL_SET_LEDS USELESS_IOCTL(0)

typedef NTSTATUS (*PDRIVER_DISPATCH) (IN PDEVICE_OBJECT DeviceObject,IN PIRP Irp);

NTSTATUS Useless_Dispatch(PDEVICE_OBJECT DeviceObject,PIRP Irp);
void Useless_Unload(PDRIVER_OBJECT pDriverObject);

void DrainOutputBuffer();
ULONG SendKeyboardCommand( IN UCHAR theCommand );
void SetLEDS( UCHAR theLEDS );


#define SUCCESS_SYMBOLIC_LINK	0x01
#define SUCCESS_

typedef struct {

	PDEVICE_OBJECT pDeviceObject;		//Back-peddle storage

	ULONG  SuccessMask;					//Mask of successfully initialized objects

} DEVICE_EXTENSION, *PDEVICE_EXTENSION;




#endif

