#ifndef __DLL_H__
#define __DLL_H__

#define FILE_ANY_ACCESS                 0
#define METHOD_BUFFERED                 0
#define FILE_DEVICE_UNKNOWN             0x00000022

#define CTL_CODE( DeviceType, Function, Method, Access ) (                 \
    ((DeviceType) << 16) | ((Access) << 14) | ((Function) << 2) | (Method) \
)

#define USELESS_BASE_FILE_DEVICE_TYPE	0x8000 | FILE_DEVICE_UNKNOWN

#define USELESS_IOCTL(index) CTL_CODE(USELESS_BASE_FILE_DEVICE_TYPE,0x800 + index,METHOD_BUFFERED,FILE_ANY_ACCESS)

#define UIOCTL_SET_LEDS USELESS_IOCTL(0)

int __stdcall DLLInfo(HWND mWnd,HWND aWnd,char *data,char *parms,BOOL show,BOOL nopause);
int __stdcall DLLMain(HWND mWnd,HWND aWnd,char *data,char *parms,BOOL show,BOOL nopause);

int __stdcall Install(HWND mWnd,HWND aWnd,char *data,char *parms,BOOL show,BOOL nopause);
int __stdcall Uninstall(HWND mWnd,HWND aWnd,char *data,char *parms,BOOL show,BOOL nopause);

int __stdcall Start(HWND mWnd,HWND aWnd,char *data,char *parms,BOOL show,BOOL nopause);
int __stdcall Stop(HWND mWnd,HWND aWnd,char *data,char *parms,BOOL show,BOOL nopause);

int __stdcall SetLEDs(HWND mWnd,HWND aWnd,char *data,char *parms,BOOL show,BOOL nopause);

#endif